import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { LanguageText } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface LanguageTextCU extends ConditionUtil<LanguageTextCU> {
    ID: FieldUtil<LanguageTextCU>;
    TEXT_CODE: FieldUtil<LanguageTextCU>;
    LANGUAGE_CODE: FieldUtil<LanguageTextCU>;
    TEXT_VALUE: FieldUtil<LanguageTextCU>;
    REMARK: FieldUtil<LanguageTextCU>;
    STATE: FieldUtil<LanguageTextCU>;
}
declare class LanguageTextMU extends TableUtilImpl<LanguageTextCU, LanguageText> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): LanguageTextCU;
    static get ID(): FieldUtil<LanguageTextCU>;
    static get TEXT_CODE(): FieldUtil<LanguageTextCU>;
    static get LANGUAGE_CODE(): FieldUtil<LanguageTextCU>;
    static get TEXT_VALUE(): FieldUtil<LanguageTextCU>;
    static get REMARK(): FieldUtil<LanguageTextCU>;
    static get STATE(): FieldUtil<LanguageTextCU>;
    get ID(): FieldUtil<LanguageTextCU>;
    get TEXT_CODE(): FieldUtil<LanguageTextCU>;
    get LANGUAGE_CODE(): FieldUtil<LanguageTextCU>;
    get TEXT_VALUE(): FieldUtil<LanguageTextCU>;
    get REMARK(): FieldUtil<LanguageTextCU>;
    get STATE(): FieldUtil<LanguageTextCU>;
}
export { LanguageTextMU, LanguageTextCU };
